Рекомендация Debian по безопасности

DSA-2478-1 sudo -- ошибка при грамматическом разборе

Дата сообщения:
23.05.2012
Затронутые пакеты:
sudo
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2012-2337.
Более подробная информация:

Было обнаружено, что sudo некорректно выполняет грамматических разбор сетевых масок, используемых в строках файла настройки Host и Host_List. Данная проблема приводит к выполнению команд на узлах, на которых пользователь не имеет права запускать конкретные команды.

В стабильном выпуске (squeeze) эта проблема была исправлена в версии 1.7.4p4-2.squeeze.3.

В нестабильном выпуске (sid) эта проблема будет исправлена позже.

Рекомендуется обновить пакеты sudo.